> For the complete documentation index, see [llms.txt](https://docs.uci.ucserver.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uci.ucserver.it/uncomplicatedcustomitems/archive/uci-4.0./customflagsettings/lifesteal.md).

# LifeSteal

{% hint style="danger" %}
This is archived all will not work on the latest version.\
Archived version: 4.0.\*
{% endhint %}

**Description:** When the item has the LifeSteal flag, picking it up will heal the player a set amount (optionally scaled by a percentage).

**Parameters:**

* `life_steal_amount` — Base amount used in healing calculation.
* `life_steal_percentage` — Percentage to apply to the amount to compute healed health.

{% hint style="info" %}
*HealedAmount = life\_steal\_amount \* life\_steal\_percentage*
{% endhint %}

**Example Yaml context:**

```yaml
flag_settings:
  life_steal_settings:
  - life_steal_amount: 8
    life_steal_percentage: 0.5
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/archive/uci-4.0./customflagsettings/lifesteal.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
